%define	major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	A high-performance asynchronous HTTP client library
Name:		serf
Version:	1.1.1
Release:	%mkrel 2
License:	Apache License
Group:		System/Libraries
URL:		http://code.google.com/p/serf/
Source0:	http://serf.googlecode.com/files/%{name}-%{version}.tar.bz2
BuildRequires:	apr-devel
BuildRequires:	apr-util-devel
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	db-devel
BuildRequires:	libtool
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel

%description
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.


%package -n	%{libname}
Summary:	A high-performance asynchronous HTTP client library
Group:          System/Libraries

%description -n	%{libname}
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.


%package -n	%{develname}
Summary:	Development libraries and headers for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library. It multiplexes connections, running the
read/write communication asynchronously. Memory copies and transformations are
kept to a minimum to provide high performance operation.

This package contains all of the development files that you will need in order
to compile %{name} applications.


%prep

%setup -q

# don't link against ldap libs
perl -pi -e "s|apu_config --link-libtool --libs|apu_config --link-libtool --avoid-ldap --libs|g" configure*

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure*

# no static builds
perl -pi -e "s|-static||g" Makefile*

%build
%serverbuild
export CFLAGS="$CFLAGS -fPIC"

%configure2_5x

%make

%check
make check

%install
%makeinstall_std

# enable strip and debug packages
chmod 755 %{buildroot}%{_libdir}/libserf*.so*

# Don't ship static libs
rm -fR %{buildroot}%{_libdir}/*.a
rm -fR %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc CHANGES LICENSE NOTICE README design-guide.txt
%attr(0755,root,root) %{_libdir}/lib*.so.%{major}*

%files -n %{develname}
%attr(0644,root,root) %{_includedir}/*.h
%attr(0755,root,root) %{_libdir}/*.so
%attr(0644,root,root) %{_libdir}/pkgconfig/*.pc


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 381941
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 07 2012 luigiwalser <luigiwalser> 1.1.1-1.mga3
+ Revision: 303180
- 1.1.1

* Mon Aug 13 2012 luigiwalser <luigiwalser> 1.1.0-1.mga3
+ Revision: 281039
- 1.1.0
- remove patch 0 (fixed upstream)

  + pterjan <pterjan>
    - Add upstream patch fixing tests

  + kamil <kamil>
    - new version 1.0.0
    - clean .spec

* Fri Sep 09 2011 tv <tv> 0.7.2-1.mga2
+ Revision: 141808
- new release

* Mon Jan 17 2011 blino <blino> 0.7.0-4.mga1
+ Revision: 21704
- remove old ldconfig scriptlets
- imported package serf

